image: dtzar/helm-kubectl

stages:
  - template
  - deploy

render:
  stage: template
  script:
    - helm template monitoring > manifest.yaml
  artifacts:
    paths:
      - manifest.yaml

deploy:
  stage: deploy
  only:
    - master
  script:
    - kubectl --kubeconfig=$KCFG apply -f manifest.yaml 
  environment:
    name: dev
    kubernetes:
      namespace: conor-futro
